///////////////////////////////////////////
// ErrorMsg (Error Message) 関数
// 使用方法：プログラム冒頭に定義した後、
// プログラムのエラー箇所に入れて確認する。
///////////////////////////////////////////
void ErrorMsg(HWND hWnd){

	DWORD errorcode = GetLastError();
	LPVOID lpMsgBuf;
	FormatMessage(
		FORMAT_MESSAGE_ALLOCATE_BUFFER  //      テキストのメモリ割り当てを要求する
		| FORMAT_MESSAGE_FROM_SYSTEM    //      エラーメッセージはWindowsが用意しているものを使用
		| FORMAT_MESSAGE_IGNORE_INSERTS,//      次の引数を無視してエラーコードに対するエラーメッセージを作成する
		NULL, errorcode, MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),//   言語を指定
		(LPTSTR)&lpMsgBuf,                          //      メッセージテキストが保存されるバッファへのポインタ
		0,
		NULL);
	MessageBox(hWnd, (LPTSTR)lpMsgBuf, "エラー", MB_OK | MB_ICONINFORMATION);
	LocalFree(lpMsgBuf);
}
